<div class="full-width full-height flex-column">
  <div class="flex-row color-selector-container">
    <div style="position: relative">
      <div
        #field
        class="color-badge"
        [ngStyle]="getBackgroundColor()"
        (click)="edit()"
      ></div>
      @if (color != null) {
        <i
          class="current-workspace-button reset-button m-l-5"
          nz-icon
          nzType="sqtm-core-generic:close"
          (click)="handleColorSelectionChange(null)"
        ></i>
      }
    </div>
  </div>
</div>

<ng-template #template>
  <sqtm-core-color-picker
    [color]="color"
    [cpPosition]="cpPosition"
    (colorSelectionChanged)="handleColorSelectionChange($event)"
  >
  </sqtm-core-color-picker>
</ng-template>
